#!/bin/bash

if [ $# != 2 ] ; then
    echo "" >&2
    echo "Usage: " >&2
    echo "    $0 [Document|Video|Audio|Image|Taonga] output.xslx" >&2
    echo "" >&2
    echo "For example:" >&2
    echo "    $0 Image Metamaster-Imagesheet.xlsx" >&2
    echo "" >&2
    exit 1
fi

sheetname=$1
xslx_filename=$2

full_progdir="$( cd "$( dirname "${BASH_SOURCE[0]}" )" > /dev/null && pwd )"

cd "$full_progdir" \
    && ./metamaster-download.sh $sheetname $xslx_filename \
    && ./metamaster-xlsx-to-csv.py $sheetname $xslx_filename
	   
