#!/bin/bash


if [ $# != 2 ] ; then
    echo "" >&2
    echo "Usage: " >&2
    echo "    $0 [Document|Video|Audio|Image|Taonga] output.xlsx" >&2
    echo "" >&2
    exit 1
fi

sheetname=$1
xlsx_ofilename=$2


if [ $sheetname == "Document" ] ; then
    gid_sheet="gid=713062664"

elif [ $sheetname == "Video" ] ; then
    gid_sheet="gid=159511700"

elif [ $sheetname == "Audio" ] ; then
    gid_sheet="gid=5073585"

elif [ $sheetname == "Image" ] ; then
    gid_sheet="gid=1320712770"

elif [ $sheetname == "Taonga" ] ; then
    gid_sheet="gid=1987724711"
else
    echo "" >&2
    echo "Unrecognized metadata-master sheet name: $sheetname" >&2
    echo "" >&2
    echo "Usage: " >&2
    echo "    $0 [Document|Video|Audio|Image|Taonga] output.xlsx" >&2
    echo "" >&2
    exit 1    
fi

wget --no-check-certificate \
     -O $xlsx_ofilename \
     "https://docs.google.com/spreadsheets/d/1j6_xry6OfLrdBkXeYZA8NTLCZwf-jr5DHlpGwAONLyY/export?$gid_sheet&format=xlsx"






